$NetBSD: patch-am,v 1.18 2005/09/07 10:15:39 adam Exp $

--- configure.orig	2005-08-28 06:32:11.000000000 +0000
+++ configure
@@ -463,7 +463,8 @@ ac_includes_default="\
 # include <unistd.h>
 #endif"
 
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS SDL_MAJOR_VERSION SDL_MINOR_VERSION SDL_MICRO_VERSION SDL_INTERFACE_AGE SDL_BINARY_AGE SDL_VERSION LT_RELEASE LT_CURRENT LT_REVISION LT_AGE build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB DLLTOOL ac_ct_DLLTOOL AS ac_ct_AS OBJDUMP ac_ct_OBJDUMP CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ALLOCA ASFLAGS CCAS CCASFLAGS am__fastdepOBJC_TRUE am__fastdepOBJC_FALSE ALSA_CFLAGS ALSA_LIBS alsa_lib ESD_CONFIG ESD_CFLAGS ESD_LIBS esd_lib ARTSCCONFIG arts_lib NASM NASMFLAGS X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS PKG_CONFIG DIRECTFB_CFLAGS DIRECTFB_LIBS OSMESA_CONFIG PTH_CONFIG ARCH TARGET_LINUX_TRUE TARGET_LINUX_FALSE TARGET_QTOPIA_TRUE TARGET_QTOPIA_FALSE TARGET_SOLARIS_TRUE TARGET_SOLARIS_FALSE TARGET_IRIX_TRUE TARGET_IRIX_FALSE TARGET_BSDI_TRUE TARGET_BSDI_FALSE TARGET_FREEBSD_TRUE TARGET_FREEBSD_FALSE TARGET_NETBSD_TRUE TARGET_NETBSD_FALSE TARGET_OPENBSD_TRUE TARGET_OPENBSD_FALSE TARGET_AIX_TRUE TARGET_AIX_FALSE TARGET_WIN32_TRUE TARGET_WIN32_FALSE TARGET_BEOS_TRUE TARGET_BEOS_FALSE TARGET_MACOS_TRUE TARGET_MACOS_FALSE TARGET_MACOSX_TRUE TARGET_MACOSX_FALSE TARGET_QNX_TRUE TARGET_QNX_FALSE TARGET_MINT_TRUE TARGET_MINT_FALSE USE_DIRECTX_TRUE USE_DIRECTX_FALSE USE_CLONE_TRUE USE_CLONE_FALSE HAVE_NASM_TRUE HAVE_NASM_FALSE ENABLE_SHARED_TRUE ENABLE_SHARED_FALSE ENABLE_STATIC_TRUE ENABLE_STATIC_FALSE AUDIO_SUBDIRS AUDIO_DRIVERS VIDEO_SUBDIRS VIDEO_DRIVERS JOYSTICK_SUBDIRS JOYSTICK_DRIVERS CDROM_SUBDIRS CDROM_DRIVERS SDL_EXTRADIRS SDL_EXTRALIBS SDL_CFLAGS SDL_LIBS SDL_STATIC_LIBS SDL_RLD_FLAGS STATIC_SYSTEM_LIBS SHARED_SYSTEM_LIBS SYSTEM_LIBS OBJC OBJCFLAGS OBJCDEPMODE LIBOBJS LTLIBOBJS'
+# add AALIB_CONFIG
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS SDL_MAJOR_VERSION SDL_MINOR_VERSION SDL_MICRO_VERSION SDL_INTERFACE_AGE SDL_BINARY_AGE SDL_VERSION LT_RELEASE LT_CURRENT LT_REVISION LT_AGE build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB DLLTOOL ac_ct_DLLTOOL AS ac_ct_AS OBJDUMP ac_ct_OBJDUMP CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ALLOCA ASFLAGS CCAS CCASFLAGS am__fastdepOBJC_TRUE am__fastdepOBJC_FALSE ALSA_CFLAGS ALSA_LIBS alsa_lib ESD_CONFIG ESD_CFLAGS ESD_LIBS esd_lib ARTSCCONFIG arts_lib NASM NASMFLAGS X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS PKG_CONFIG DIRECTFB_CFLAGS DIRECTFB_LIBS OSMESA_CONFIG PTH_CONFIG ARCH TARGET_LINUX_TRUE TARGET_LINUX_FALSE TARGET_QTOPIA_TRUE TARGET_QTOPIA_FALSE TARGET_SOLARIS_TRUE TARGET_SOLARIS_FALSE TARGET_IRIX_TRUE TARGET_IRIX_FALSE TARGET_BSDI_TRUE TARGET_BSDI_FALSE TARGET_FREEBSD_TRUE TARGET_FREEBSD_FALSE TARGET_NETBSD_TRUE TARGET_NETBSD_FALSE TARGET_OPENBSD_TRUE TARGET_OPENBSD_FALSE TARGET_AIX_TRUE TARGET_AIX_FALSE TARGET_WIN32_TRUE TARGET_WIN32_FALSE TARGET_BEOS_TRUE TARGET_BEOS_FALSE TARGET_MACOS_TRUE TARGET_MACOS_FALSE TARGET_MACOSX_TRUE TARGET_MACOSX_FALSE TARGET_QNX_TRUE TARGET_QNX_FALSE TARGET_MINT_TRUE TARGET_MINT_FALSE USE_DIRECTX_TRUE USE_DIRECTX_FALSE USE_CLONE_TRUE USE_CLONE_FALSE HAVE_NASM_TRUE HAVE_NASM_FALSE ENABLE_SHARED_TRUE ENABLE_SHARED_FALSE ENABLE_STATIC_TRUE ENABLE_STATIC_FALSE AUDIO_SUBDIRS AUDIO_DRIVERS VIDEO_SUBDIRS VIDEO_DRIVERS JOYSTICK_SUBDIRS JOYSTICK_DRIVERS CDROM_SUBDIRS CDROM_DRIVERS SDL_EXTRADIRS SDL_EXTRALIBS SDL_CFLAGS SDL_LIBS SDL_STATIC_LIBS SDL_RLD_FLAGS STATIC_SYSTEM_LIBS SHARED_SYSTEM_LIBS SYSTEM_LIBS OBJC OBJCFLAGS OBJCDEPMODE LIBOBJS LTLIBOBJS AALIB_CONFIG'
 ac_subst_files=''
 
 # Initialize some variables set by options.
@@ -1593,9 +1594,9 @@ SDL_VERSION=$SDL_MAJOR_VERSION.$SDL_MINO
 
 # libtool versioning
 LT_RELEASE=$SDL_MAJOR_VERSION.$SDL_MINOR_VERSION
-LT_CURRENT=`expr $SDL_MICRO_VERSION - $SDL_INTERFACE_AGE`
-LT_REVISION=$SDL_INTERFACE_AGE
-LT_AGE=`expr $SDL_BINARY_AGE - $SDL_INTERFACE_AGE`
+LT_CURRENT=$SDL_INTERFACE_AGE
+LT_REVISION=$SDL_BINARY_AGE
+LT_AGE=0
 
 
 
@@ -21948,6 +21949,8 @@ rm -f conftest.err conftest.$ac_objext c
 echo "${ECHO_T}$have_oss" >&6
         if test x$have_oss = xyes; then
             CFLAGS="$CFLAGS -DOSS_SUPPORT"
+	    LDFLAGS="$LDFLAGS $LIBOSSAUDIO"
+	    SDL_LIBS="$SDL_LIBS $LIBOSSAUDIO"
             AUDIO_SUBDIRS="$AUDIO_SUBDIRS dsp"
             AUDIO_DRIVERS="$AUDIO_DRIVERS dsp/libaudio_dsp.la"
             AUDIO_SUBDIRS="$AUDIO_SUBDIRS dma"
@@ -22885,9 +22888,9 @@ fi;
         echo "$as_me:$LINENO: checking for NAS audio support" >&5
 echo $ECHO_N "checking for NAS audio support... $ECHO_C" >&6
         have_nas=no
-        if test -r /usr/X11R6/include/audio/audiolib.h; then
+        if true; then
             have_nas=yes
-            CFLAGS="$CFLAGS -DNAS_SUPPORT -I/usr/X11R6/include/"
+            CFLAGS="$CFLAGS -DNAS_SUPPORT"
             SYSTEM_LIBS="$SYSTEM_LIBS -laudio -lXt"
             AUDIO_SUBDIRS="$AUDIO_SUBDIRS nas"
             AUDIO_DRIVERS="$AUDIO_DRIVERS nas/libaudio_nas.la"
@@ -23153,7 +23156,7 @@ fi
                   NASMFLAGS="-f aoutb"
                   ;;
               *)
-                  NASMFLAGS="-f elf"
+                  test -n "$NASMFLAGS" || NASMFLAGS="-f elf"
                   ;;
             esac
 
@@ -25684,63 +25687,58 @@ else
   enable_video_aalib=no
 fi;
     if test x$enable_video = xyes -a x$enable_video_aalib = xyes; then
-        echo "$as_me:$LINENO: checking for AAlib support" >&5
-echo $ECHO_N "checking for AAlib support... $ECHO_C" >&6
-        video_aalib=no
-        cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-         #include <aalib.h>
-
-int
-main ()
-{
-
-
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
+        # Extract the first word of "aalib-config", so it can be a program name with args.
+set dummy aalib-config; ac_word=$2
+echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+if test "${ac_cv_path_AALIB_CONFIG+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  case $AALIB_CONFIG in
+  [\\/]* | ?:[\\/]*)
+  ac_cv_path_AALIB_CONFIG="$AALIB_CONFIG" # Let the user override the test with a path.
+  ;;
+  *)
+  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+    ac_cv_path_AALIB_CONFIG="$as_dir/$ac_word$ac_exec_ext"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
 
-        video_aalib=yes
+  ;;
+esac
+fi
+AALIB_CONFIG=$ac_cv_path_AALIB_CONFIG
 
+if test -n "$AALIB_CONFIG"; then
+  echo "$as_me:$LINENO: result: $AALIB_CONFIG" >&5
+echo "${ECHO_T}$AALIB_CONFIG" >&6
 else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
+  echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
 fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+
+        echo "$as_me:$LINENO: checking for AAlib support" >&5
+echo $ECHO_N "checking for AAlib support... $ECHO_C" >&6
+        if test x$AALIB_CONFIG = x; then
+        video_aalib=no
+	else
+            AALIB_LIBS=`$AALIB_CONFIG --libs`
+        video_aalib=yes
+        fi
         echo "$as_me:$LINENO: result: $video_aalib" >&5
 echo "${ECHO_T}$video_aalib" >&6
         if test x$video_aalib = xyes; then
             CFLAGS="$CFLAGS -DENABLE_AALIB"
-            SYSTEM_LIBS="$SYSTEM_LIBS -laa"
+            SYSTEM_LIBS="$SYSTEM_LIBS $AALIB_LIBS"
 
             VIDEO_SUBDIRS="$VIDEO_SUBDIRS aalib"
             VIDEO_DRIVERS="$VIDEO_DRIVERS aalib/libvideo_aa.la"
@@ -26755,16 +26753,17 @@ else
   enable_pth=yes
 fi;
     if test x$enable_threads = xyes -a x$enable_pth = xyes; then
-        # Extract the first word of "pth-config", so it can be a program name with args.
-set dummy pth-config; ac_word=$2
+        # Use the libpthread version of the pth library.
+        # Extract the first word of "pthread-config", so it can be a program name with args.
+set dummy pthread-config; ac_word=$2
 echo "$as_me:$LINENO: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
-if test "${ac_cv_path_PTH_CONFIG+set}" = set; then
+if test "${ac_cv_path_PTHREAD_CONFIG+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-  case $PTH_CONFIG in
+  case $PTHREAD_CONFIG in
   [\\/]* | ?:[\\/]*)
-  ac_cv_path_PTH_CONFIG="$PTH_CONFIG" # Let the user override the test with a path.
+  ac_cv_path_PTHREAD_CONFIG="$PTHREAD_CONFIG" # Let the user override the test with a path.
   ;;
   *)
   as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
@@ -26774,32 +26773,32 @@ do
   test -z "$as_dir" && as_dir=.
   for ac_exec_ext in '' $ac_executable_extensions; do
   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
-    ac_cv_path_PTH_CONFIG="$as_dir/$ac_word$ac_exec_ext"
+    ac_cv_path_PTHREAD_CONFIG="$as_dir/$ac_word$ac_exec_ext"
     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
 done
 
-  test -z "$ac_cv_path_PTH_CONFIG" && ac_cv_path_PTH_CONFIG="no"
+  test -z "$ac_cv_path_PTHREAD_CONFIG" && ac_cv_path_PTHREAD_CONFIG="no"
   ;;
 esac
 fi
-PTH_CONFIG=$ac_cv_path_PTH_CONFIG
+PTHREAD_CONFIG=$ac_cv_path_PTHREAD_CONFIG
 
-if test -n "$PTH_CONFIG"; then
-  echo "$as_me:$LINENO: result: $PTH_CONFIG" >&5
-echo "${ECHO_T}$PTH_CONFIG" >&6
+if test -n "$PTHREAD_CONFIG"; then
+  echo "$as_me:$LINENO: result: $PTHREAD_CONFIG" >&5
+echo "${ECHO_T}$PTHREAD_CONFIG" >&6
 else
   echo "$as_me:$LINENO: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
-        if test "$PTH_CONFIG" = "no"; then
+        if test "$PTHREAD_CONFIG" = "no"; then
             use_pth=no
         else
-            PTH_CFLAGS=`$PTH_CONFIG --cflags`
-            PTH_LIBS=`$PTH_CONFIG --libs --all`
+            PTH_CFLAGS=`$PTHREAD_CONFIG --cflags`
+            PTH_LIBS=`$PTHREAD_CONFIG --libs --all`
             SDL_CFLAGS="$SDL_CFLAGS $PTH_CFLAGS"
             SDL_LIBS="$SDL_LIBS $PTH_LIBS"
             CFLAGS="$CFLAGS -DENABLE_PTH"
@@ -26847,9 +26846,13 @@ fi;
             pthread_cflags="-D_REENTRANT -D_THREAD_SAFE"
             pthread_lib="-pthread"
             ;;
+	*-*-dragonfly*)
+            pthread_cflags="-D_REENTRANT"
+            pthread_lib="-pthread"
+            ;;
         *-*-netbsd*)
-            pthread_cflags="-I/usr/pkg/include -D_REENTRANT"
-            pthread_lib="-L/usr/pkg/lib -lpthread -lsem"
+            pthread_cflags="-D_REENTRANT"
+            pthread_lib="-lpthread"
             ;;
         *-*-openbsd*)
             pthread_cflags="-D_REENTRANT"
@@ -28677,93 +28680,21 @@ if test $ac_cv_lib_usbhid_hid_init = yes
   have_libusbhid=yes
 fi
 
-        echo "$as_me:$LINENO: checking for hid_init in -lusb" >&5
-echo $ECHO_N "checking for hid_init in -lusb... $ECHO_C" >&6
-if test "${ac_cv_lib_usb_hid_init+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  ac_check_lib_save_LIBS=$LIBS
-LIBS="-lusb  $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-/* Override any gcc2 internal prototype to avoid an error.  */
-#ifdef __cplusplus
-extern "C"
-#endif
-/* We use char because int might match the return type of a gcc2
-   builtin and then its argument prototype would still apply.  */
-char hid_init ();
-int
-main ()
-{
-hid_init ();
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_lib_usb_hid_init=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-ac_cv_lib_usb_hid_init=no
-fi
-rm -f conftest.err conftest.$ac_objext \
-      conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_usb_hid_init" >&5
-echo "${ECHO_T}$ac_cv_lib_usb_hid_init" >&6
-if test $ac_cv_lib_usb_hid_init = yes; then
-  have_libusb=yes
-fi
-
         if test x$have_libusbhid = xyes; then
             SYSTEM_LIBS="$SYSTEM_LIBS -lusbhid"
-        fi
-        if test x$have_libusb = xyes; then
-            SYSTEM_LIBS="$SYSTEM_LIBS -lusb"
-        fi
 
-        if test "${ac_cv_header_usb_h+set}" = set; then
-  echo "$as_me:$LINENO: checking for usb.h" >&5
-echo $ECHO_N "checking for usb.h... $ECHO_C" >&6
-if test "${ac_cv_header_usb_h+set}" = set; then
+            if test "${ac_cv_header_usbhid_h+set}" = set; then
+  echo "$as_me:$LINENO: checking for usbhid.h" >&5
+echo $ECHO_N "checking for usbhid.h... $ECHO_C" >&6
+if test "${ac_cv_header_usbhid_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 fi
-echo "$as_me:$LINENO: result: $ac_cv_header_usb_h" >&5
-echo "${ECHO_T}$ac_cv_header_usb_h" >&6
+echo "$as_me:$LINENO: result: $ac_cv_header_usbhid_h" >&5
+echo "${ECHO_T}$ac_cv_header_usbhid_h" >&6
 else
   # Is the header compilable?
-echo "$as_me:$LINENO: checking usb.h usability" >&5
-echo $ECHO_N "checking usb.h usability... $ECHO_C" >&6
+echo "$as_me:$LINENO: checking usbhid.h usability" >&5
+echo $ECHO_N "checking usbhid.h usability... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
@@ -28771,7 +28702,7 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 $ac_includes_default
-#include <usb.h>
+#include <usbhid.h>
 _ACEOF
 rm -f conftest.$ac_objext
 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
@@ -28807,15 +28738,15 @@ echo "$as_me:$LINENO: result: $ac_header
 echo "${ECHO_T}$ac_header_compiler" >&6
 
 # Is the header present?
-echo "$as_me:$LINENO: checking usb.h presence" >&5
-echo $ECHO_N "checking usb.h presence... $ECHO_C" >&6
+echo "$as_me:$LINENO: checking usbhid.h presence" >&5
+echo $ECHO_N "checking usbhid.h presence... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#include <usb.h>
+#include <usbhid.h>
 _ACEOF
 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
@@ -28849,25 +28780,25 @@ echo "${ECHO_T}$ac_header_preproc" >&6
 # So?  What about this header?
 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
   yes:no: )
-    { echo "$as_me:$LINENO: WARNING: usb.h: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: usb.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
-    { echo "$as_me:$LINENO: WARNING: usb.h: proceeding with the compiler's result" >&5
-echo "$as_me: WARNING: usb.h: proceeding with the compiler's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: usbhid.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: usbhid.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: usbhid.h: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: usbhid.h: proceeding with the compiler's result" >&2;}
     ac_header_preproc=yes
     ;;
   no:yes:* )
-    { echo "$as_me:$LINENO: WARNING: usb.h: present but cannot be compiled" >&5
-echo "$as_me: WARNING: usb.h: present but cannot be compiled" >&2;}
-    { echo "$as_me:$LINENO: WARNING: usb.h:     check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: usb.h:     check for missing prerequisite headers?" >&2;}
-    { echo "$as_me:$LINENO: WARNING: usb.h: see the Autoconf documentation" >&5
-echo "$as_me: WARNING: usb.h: see the Autoconf documentation" >&2;}
-    { echo "$as_me:$LINENO: WARNING: usb.h:     section \"Present But Cannot Be Compiled\"" >&5
-echo "$as_me: WARNING: usb.h:     section \"Present But Cannot Be Compiled\"" >&2;}
-    { echo "$as_me:$LINENO: WARNING: usb.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: usb.h: proceeding with the preprocessor's result" >&2;}
-    { echo "$as_me:$LINENO: WARNING: usb.h: in the future, the compiler will take precedence" >&5
-echo "$as_me: WARNING: usb.h: in the future, the compiler will take precedence" >&2;}
+    { echo "$as_me:$LINENO: WARNING: usbhid.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: usbhid.h: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: usbhid.h:     check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: usbhid.h:     check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: usbhid.h: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: usbhid.h: see the Autoconf documentation" >&2;}
+    { echo "$as_me:$LINENO: WARNING: usbhid.h:     section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: usbhid.h:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { echo "$as_me:$LINENO: WARNING: usbhid.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: usbhid.h: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: usbhid.h: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: usbhid.h: in the future, the compiler will take precedence" >&2;}
     (
       cat <<\_ASBOX
 ## ------------------------------------------ ##
@@ -28878,34 +28809,34 @@ _ASBOX
       sed "s/^/$as_me: WARNING:     /" >&2
     ;;
 esac
-echo "$as_me:$LINENO: checking for usb.h" >&5
-echo $ECHO_N "checking for usb.h... $ECHO_C" >&6
-if test "${ac_cv_header_usb_h+set}" = set; then
+echo "$as_me:$LINENO: checking for usbhid.h" >&5
+echo $ECHO_N "checking for usbhid.h... $ECHO_C" >&6
+if test "${ac_cv_header_usbhid_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-  ac_cv_header_usb_h=$ac_header_preproc
+  ac_cv_header_usbhid_h=$ac_header_preproc
 fi
-echo "$as_me:$LINENO: result: $ac_cv_header_usb_h" >&5
-echo "${ECHO_T}$ac_cv_header_usb_h" >&6
+echo "$as_me:$LINENO: result: $ac_cv_header_usbhid_h" >&5
+echo "${ECHO_T}$ac_cv_header_usbhid_h" >&6
 
 fi
-if test $ac_cv_header_usb_h = yes; then
-  have_usb_h=yes
+if test $ac_cv_header_usbhid_h = yes; then
+  have_usbhid_h=yes
 fi
 
 
-        if test "${ac_cv_header_usbhid_h+set}" = set; then
-  echo "$as_me:$LINENO: checking for usbhid.h" >&5
-echo $ECHO_N "checking for usbhid.h... $ECHO_C" >&6
-if test "${ac_cv_header_usbhid_h+set}" = set; then
+            if test "${ac_cv_header_libusbhid_h+set}" = set; then
+  echo "$as_me:$LINENO: checking for libusbhid.h" >&5
+echo $ECHO_N "checking for libusbhid.h... $ECHO_C" >&6
+if test "${ac_cv_header_libusbhid_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 fi
-echo "$as_me:$LINENO: result: $ac_cv_header_usbhid_h" >&5
-echo "${ECHO_T}$ac_cv_header_usbhid_h" >&6
+echo "$as_me:$LINENO: result: $ac_cv_header_libusbhid_h" >&5
+echo "${ECHO_T}$ac_cv_header_libusbhid_h" >&6
 else
   # Is the header compilable?
-echo "$as_me:$LINENO: checking usbhid.h usability" >&5
-echo $ECHO_N "checking usbhid.h usability... $ECHO_C" >&6
+echo "$as_me:$LINENO: checking libusbhid.h usability" >&5
+echo $ECHO_N "checking libusbhid.h usability... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
@@ -28913,7 +28844,7 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 $ac_includes_default
-#include <usbhid.h>
+#include <libusbhid.h>
 _ACEOF
 rm -f conftest.$ac_objext
 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
@@ -28949,15 +28880,15 @@ echo "$as_me:$LINENO: result: $ac_header
 echo "${ECHO_T}$ac_header_compiler" >&6
 
 # Is the header present?
-echo "$as_me:$LINENO: checking usbhid.h presence" >&5
-echo $ECHO_N "checking usbhid.h presence... $ECHO_C" >&6
+echo "$as_me:$LINENO: checking libusbhid.h presence" >&5
+echo $ECHO_N "checking libusbhid.h presence... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#include <usbhid.h>
+#include <libusbhid.h>
 _ACEOF
 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
@@ -28991,25 +28922,25 @@ echo "${ECHO_T}$ac_header_preproc" >&6
 # So?  What about this header?
 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
   yes:no: )
-    { echo "$as_me:$LINENO: WARNING: usbhid.h: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: usbhid.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
-    { echo "$as_me:$LINENO: WARNING: usbhid.h: proceeding with the compiler's result" >&5
-echo "$as_me: WARNING: usbhid.h: proceeding with the compiler's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: libusbhid.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: libusbhid.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: libusbhid.h: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: libusbhid.h: proceeding with the compiler's result" >&2;}
     ac_header_preproc=yes
     ;;
   no:yes:* )
-    { echo "$as_me:$LINENO: WARNING: usbhid.h: present but cannot be compiled" >&5
-echo "$as_me: WARNING: usbhid.h: present but cannot be compiled" >&2;}
-    { echo "$as_me:$LINENO: WARNING: usbhid.h:     check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: usbhid.h:     check for missing prerequisite headers?" >&2;}
-    { echo "$as_me:$LINENO: WARNING: usbhid.h: see the Autoconf documentation" >&5
-echo "$as_me: WARNING: usbhid.h: see the Autoconf documentation" >&2;}
-    { echo "$as_me:$LINENO: WARNING: usbhid.h:     section \"Present But Cannot Be Compiled\"" >&5
-echo "$as_me: WARNING: usbhid.h:     section \"Present But Cannot Be Compiled\"" >&2;}
-    { echo "$as_me:$LINENO: WARNING: usbhid.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: usbhid.h: proceeding with the preprocessor's result" >&2;}
-    { echo "$as_me:$LINENO: WARNING: usbhid.h: in the future, the compiler will take precedence" >&5
-echo "$as_me: WARNING: usbhid.h: in the future, the compiler will take precedence" >&2;}
+    { echo "$as_me:$LINENO: WARNING: libusbhid.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: libusbhid.h: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: libusbhid.h:     check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: libusbhid.h:     check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: libusbhid.h: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: libusbhid.h: see the Autoconf documentation" >&2;}
+    { echo "$as_me:$LINENO: WARNING: libusbhid.h:     section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: libusbhid.h:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { echo "$as_me:$LINENO: WARNING: libusbhid.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: libusbhid.h: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: libusbhid.h: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: libusbhid.h: in the future, the compiler will take precedence" >&2;}
     (
       cat <<\_ASBOX
 ## ------------------------------------------ ##
@@ -29020,34 +28951,112 @@ _ASBOX
       sed "s/^/$as_me: WARNING:     /" >&2
     ;;
 esac
-echo "$as_me:$LINENO: checking for usbhid.h" >&5
-echo $ECHO_N "checking for usbhid.h... $ECHO_C" >&6
-if test "${ac_cv_header_usbhid_h+set}" = set; then
+echo "$as_me:$LINENO: checking for libusbhid.h" >&5
+echo $ECHO_N "checking for libusbhid.h... $ECHO_C" >&6
+if test "${ac_cv_header_libusbhid_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-  ac_cv_header_usbhid_h=$ac_header_preproc
+  ac_cv_header_libusbhid_h=$ac_header_preproc
 fi
-echo "$as_me:$LINENO: result: $ac_cv_header_usbhid_h" >&5
-echo "${ECHO_T}$ac_cv_header_usbhid_h" >&6
+echo "$as_me:$LINENO: result: $ac_cv_header_libusbhid_h" >&5
+echo "${ECHO_T}$ac_cv_header_libusbhid_h" >&6
 
 fi
-if test $ac_cv_header_usbhid_h = yes; then
-  have_usbhid_h=yes
+if test $ac_cv_header_libusbhid_h = yes; then
+  have_libusbhid_h=yes
 fi
 
 
-        if test "${ac_cv_header_libusb_h+set}" = set; then
-  echo "$as_me:$LINENO: checking for libusb.h" >&5
-echo $ECHO_N "checking for libusb.h... $ECHO_C" >&6
-if test "${ac_cv_header_libusb_h+set}" = set; then
+            if test x$have_usbhid_h = xyes; then
+                CFLAGS="$CFLAGS -DHAVE_USBHID_H"
+            fi
+            if test x$have_libusbhid_h = xyes; then
+                CFLAGS="$CFLAGS -DHAVE_LIBUSBHID_H"
+        fi
+	else
+            echo "$as_me:$LINENO: checking for hid_init in -lusb" >&5
+echo $ECHO_N "checking for hid_init in -lusb... $ECHO_C" >&6
+if test "${ac_cv_lib_usb_hid_init+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lusb  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+/* Override any gcc2 internal prototype to avoid an error.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+/* We use char because int might match the return type of a gcc2
+   builtin and then its argument prototype would still apply.  */
+char hid_init ();
+int
+main ()
+{
+hid_init ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+	 { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_lib_usb_hid_init=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_lib_usb_hid_init=no
 fi
-echo "$as_me:$LINENO: result: $ac_cv_header_libusb_h" >&5
-echo "${ECHO_T}$ac_cv_header_libusb_h" >&6
+rm -f conftest.err conftest.$ac_objext \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+echo "$as_me:$LINENO: result: $ac_cv_lib_usb_hid_init" >&5
+echo "${ECHO_T}$ac_cv_lib_usb_hid_init" >&6
+if test $ac_cv_lib_usb_hid_init = yes; then
+  have_libusb=yes
+fi
+
+        if test x$have_libusb = xyes; then
+            SYSTEM_LIBS="$SYSTEM_LIBS -lusb"
+
+        if test "${ac_cv_header_usb_h+set}" = set; then
+  echo "$as_me:$LINENO: checking for usb.h" >&5
+echo $ECHO_N "checking for usb.h... $ECHO_C" >&6
+if test "${ac_cv_header_usb_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header_usb_h" >&5
+echo "${ECHO_T}$ac_cv_header_usb_h" >&6
 else
   # Is the header compilable?
-echo "$as_me:$LINENO: checking libusb.h usability" >&5
-echo $ECHO_N "checking libusb.h usability... $ECHO_C" >&6
+echo "$as_me:$LINENO: checking usb.h usability" >&5
+echo $ECHO_N "checking usb.h usability... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
@@ -29055,7 +29064,7 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 $ac_includes_default
-#include <libusb.h>
+#include <usb.h>
 _ACEOF
 rm -f conftest.$ac_objext
 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
@@ -29091,15 +29100,15 @@ echo "$as_me:$LINENO: result: $ac_header
 echo "${ECHO_T}$ac_header_compiler" >&6
 
 # Is the header present?
-echo "$as_me:$LINENO: checking libusb.h presence" >&5
-echo $ECHO_N "checking libusb.h presence... $ECHO_C" >&6
+echo "$as_me:$LINENO: checking usb.h presence" >&5
+echo $ECHO_N "checking usb.h presence... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#include <libusb.h>
+#include <usb.h>
 _ACEOF
 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
@@ -29133,25 +29142,25 @@ echo "${ECHO_T}$ac_header_preproc" >&6
 # So?  What about this header?
 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
   yes:no: )
-    { echo "$as_me:$LINENO: WARNING: libusb.h: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: libusb.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
-    { echo "$as_me:$LINENO: WARNING: libusb.h: proceeding with the compiler's result" >&5
-echo "$as_me: WARNING: libusb.h: proceeding with the compiler's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: usb.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: usb.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: usb.h: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: usb.h: proceeding with the compiler's result" >&2;}
     ac_header_preproc=yes
     ;;
   no:yes:* )
-    { echo "$as_me:$LINENO: WARNING: libusb.h: present but cannot be compiled" >&5
-echo "$as_me: WARNING: libusb.h: present but cannot be compiled" >&2;}
-    { echo "$as_me:$LINENO: WARNING: libusb.h:     check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: libusb.h:     check for missing prerequisite headers?" >&2;}
-    { echo "$as_me:$LINENO: WARNING: libusb.h: see the Autoconf documentation" >&5
-echo "$as_me: WARNING: libusb.h: see the Autoconf documentation" >&2;}
-    { echo "$as_me:$LINENO: WARNING: libusb.h:     section \"Present But Cannot Be Compiled\"" >&5
-echo "$as_me: WARNING: libusb.h:     section \"Present But Cannot Be Compiled\"" >&2;}
-    { echo "$as_me:$LINENO: WARNING: libusb.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: libusb.h: proceeding with the preprocessor's result" >&2;}
-    { echo "$as_me:$LINENO: WARNING: libusb.h: in the future, the compiler will take precedence" >&5
-echo "$as_me: WARNING: libusb.h: in the future, the compiler will take precedence" >&2;}
+    { echo "$as_me:$LINENO: WARNING: usb.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: usb.h: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: usb.h:     check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: usb.h:     check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: usb.h: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: usb.h: see the Autoconf documentation" >&2;}
+    { echo "$as_me:$LINENO: WARNING: usb.h:     section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: usb.h:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { echo "$as_me:$LINENO: WARNING: usb.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: usb.h: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: usb.h: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: usb.h: in the future, the compiler will take precedence" >&2;}
     (
       cat <<\_ASBOX
 ## ------------------------------------------ ##
@@ -29162,34 +29171,34 @@ _ASBOX
       sed "s/^/$as_me: WARNING:     /" >&2
     ;;
 esac
-echo "$as_me:$LINENO: checking for libusb.h" >&5
-echo $ECHO_N "checking for libusb.h... $ECHO_C" >&6
-if test "${ac_cv_header_libusb_h+set}" = set; then
+echo "$as_me:$LINENO: checking for usb.h" >&5
+echo $ECHO_N "checking for usb.h... $ECHO_C" >&6
+if test "${ac_cv_header_usb_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-  ac_cv_header_libusb_h=$ac_header_preproc
+  ac_cv_header_usb_h=$ac_header_preproc
 fi
-echo "$as_me:$LINENO: result: $ac_cv_header_libusb_h" >&5
-echo "${ECHO_T}$ac_cv_header_libusb_h" >&6
+echo "$as_me:$LINENO: result: $ac_cv_header_usb_h" >&5
+echo "${ECHO_T}$ac_cv_header_usb_h" >&6
 
 fi
-if test $ac_cv_header_libusb_h = yes; then
-  have_libusb_h=yes
+if test $ac_cv_header_usb_h = yes; then
+  have_usb_h=yes
 fi
 
 
-        if test "${ac_cv_header_libusbhid_h+set}" = set; then
-  echo "$as_me:$LINENO: checking for libusbhid.h" >&5
-echo $ECHO_N "checking for libusbhid.h... $ECHO_C" >&6
-if test "${ac_cv_header_libusbhid_h+set}" = set; then
+        if test "${ac_cv_header_libusb_h+set}" = set; then
+  echo "$as_me:$LINENO: checking for libusb.h" >&5
+echo $ECHO_N "checking for libusb.h... $ECHO_C" >&6
+if test "${ac_cv_header_libusb_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 fi
-echo "$as_me:$LINENO: result: $ac_cv_header_libusbhid_h" >&5
-echo "${ECHO_T}$ac_cv_header_libusbhid_h" >&6
+echo "$as_me:$LINENO: result: $ac_cv_header_libusb_h" >&5
+echo "${ECHO_T}$ac_cv_header_libusb_h" >&6
 else
   # Is the header compilable?
-echo "$as_me:$LINENO: checking libusbhid.h usability" >&5
-echo $ECHO_N "checking libusbhid.h usability... $ECHO_C" >&6
+echo "$as_me:$LINENO: checking libusb.h usability" >&5
+echo $ECHO_N "checking libusb.h usability... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
@@ -29197,7 +29206,7 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 $ac_includes_default
-#include <libusbhid.h>
+#include <libusb.h>
 _ACEOF
 rm -f conftest.$ac_objext
 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
@@ -29233,15 +29242,15 @@ echo "$as_me:$LINENO: result: $ac_header
 echo "${ECHO_T}$ac_header_compiler" >&6
 
 # Is the header present?
-echo "$as_me:$LINENO: checking libusbhid.h presence" >&5
-echo $ECHO_N "checking libusbhid.h presence... $ECHO_C" >&6
+echo "$as_me:$LINENO: checking libusb.h presence" >&5
+echo $ECHO_N "checking libusb.h presence... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#include <libusbhid.h>
+#include <libusb.h>
 _ACEOF
 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
@@ -29275,25 +29284,25 @@ echo "${ECHO_T}$ac_header_preproc" >&6
 # So?  What about this header?
 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
   yes:no: )
-    { echo "$as_me:$LINENO: WARNING: libusbhid.h: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: libusbhid.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
-    { echo "$as_me:$LINENO: WARNING: libusbhid.h: proceeding with the compiler's result" >&5
-echo "$as_me: WARNING: libusbhid.h: proceeding with the compiler's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: libusb.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: libusb.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: libusb.h: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: libusb.h: proceeding with the compiler's result" >&2;}
     ac_header_preproc=yes
     ;;
   no:yes:* )
-    { echo "$as_me:$LINENO: WARNING: libusbhid.h: present but cannot be compiled" >&5
-echo "$as_me: WARNING: libusbhid.h: present but cannot be compiled" >&2;}
-    { echo "$as_me:$LINENO: WARNING: libusbhid.h:     check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: libusbhid.h:     check for missing prerequisite headers?" >&2;}
-    { echo "$as_me:$LINENO: WARNING: libusbhid.h: see the Autoconf documentation" >&5
-echo "$as_me: WARNING: libusbhid.h: see the Autoconf documentation" >&2;}
-    { echo "$as_me:$LINENO: WARNING: libusbhid.h:     section \"Present But Cannot Be Compiled\"" >&5
-echo "$as_me: WARNING: libusbhid.h:     section \"Present But Cannot Be Compiled\"" >&2;}
-    { echo "$as_me:$LINENO: WARNING: libusbhid.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: libusbhid.h: proceeding with the preprocessor's result" >&2;}
-    { echo "$as_me:$LINENO: WARNING: libusbhid.h: in the future, the compiler will take precedence" >&5
-echo "$as_me: WARNING: libusbhid.h: in the future, the compiler will take precedence" >&2;}
+    { echo "$as_me:$LINENO: WARNING: libusb.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: libusb.h: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: libusb.h:     check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: libusb.h:     check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: libusb.h: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: libusb.h: see the Autoconf documentation" >&2;}
+    { echo "$as_me:$LINENO: WARNING: libusb.h:     section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: libusb.h:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { echo "$as_me:$LINENO: WARNING: libusb.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: libusb.h: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: libusb.h: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: libusb.h: in the future, the compiler will take precedence" >&2;}
     (
       cat <<\_ASBOX
 ## ------------------------------------------ ##
@@ -29304,33 +29313,29 @@ _ASBOX
       sed "s/^/$as_me: WARNING:     /" >&2
     ;;
 esac
-echo "$as_me:$LINENO: checking for libusbhid.h" >&5
-echo $ECHO_N "checking for libusbhid.h... $ECHO_C" >&6
-if test "${ac_cv_header_libusbhid_h+set}" = set; then
+echo "$as_me:$LINENO: checking for libusb.h" >&5
+echo $ECHO_N "checking for libusb.h... $ECHO_C" >&6
+if test "${ac_cv_header_libusb_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-  ac_cv_header_libusbhid_h=$ac_header_preproc
+  ac_cv_header_libusb_h=$ac_header_preproc
 fi
-echo "$as_me:$LINENO: result: $ac_cv_header_libusbhid_h" >&5
-echo "${ECHO_T}$ac_cv_header_libusbhid_h" >&6
+echo "$as_me:$LINENO: result: $ac_cv_header_libusb_h" >&5
+echo "${ECHO_T}$ac_cv_header_libusb_h" >&6
 
 fi
-if test $ac_cv_header_libusbhid_h = yes; then
-  have_libusbhid_h=yes
+if test $ac_cv_header_libusb_h = yes; then
+  have_libusb_h=yes
 fi
 
 
         if test x$have_usb_h = xyes; then
             CFLAGS="$CFLAGS -DHAVE_USB_H"
         fi
-        if test x$have_usbhid_h = xyes; then
-            CFLAGS="$CFLAGS -DHAVE_USBHID_H"
-        fi
         if test x$have_libusb_h = xyes; then
             CFLAGS="$CFLAGS -DHAVE_LIBUSB_H"
         fi
-        if test x$have_libusbhid_h = xyes; then
-            CFLAGS="$CFLAGS -DHAVE_LIBUSBHID_H"
+            fi
         fi
 
         echo "$as_me:$LINENO: checking for usbhid" >&5
@@ -29347,8 +29352,13 @@ cat >>conftest.$ac_ext <<_ACEOF
           #if defined(HAVE_USB_H)
           #include <usb.h>
           #endif
+	  #ifdef __DragonFly__
+          #include <bus/usb/usb.h>
+          #include <bus/usb/usbhid.h>
+	  #else
           #include <dev/usb/usb.h>
           #include <dev/usb/usbhid.h>
+	  #endif
           #if defined(HAVE_USBHID_H)
           #include <usbhid.h>
           #elif defined(HAVE_LIBUSB_H)
@@ -29418,8 +29428,13 @@ cat >>conftest.$ac_ext <<_ACEOF
               #if defined(HAVE_USB_H)
               #include <usb.h>
               #endif
+	      #ifdef __DragonFly__
+              #include <bus/usb/usb.h>
+              #include <bus/usb/usbhid.h>
+	      #else
               #include <dev/usb/usb.h>
               #include <dev/usb/usbhid.h>
+	      #endif
               #if defined(HAVE_USBHID_H)
               #include <usbhid.h>
               #elif defined(HAVE_LIBUSB_H)
@@ -29490,8 +29505,13 @@ cat >>conftest.$ac_ext <<_ACEOF
               #if defined(HAVE_USB_H)
               #include <usb.h>
               #endif
+	      #ifdef __DragonFly__
+              #include <bus/usb/usb.h>
+              #include <bus/usb/usbhid.h>
+	      #else
               #include <dev/usb/usb.h>
               #include <dev/usb/usbhid.h>
+	      #endif
               #if defined(HAVE_USBHID_H)
               #include <usbhid.h>
               #elif defined(HAVE_LIBUSB_H)
@@ -29554,6 +29574,70 @@ echo "${ECHO_T}$have_usbhid_new" >&6
     fi
 }
 
+CheckMachineJoystick()
+{
+    if test x$enable_joystick = xyes; then
+        echo "$as_me:$LINENO: checking whether struct joystick is defined in machine/joystick.h" >&5
+echo $ECHO_N "checking whether struct joystick is defined in machine/joystick.h... $ECHO_C" >&6
+        have_machine_joystick=no
+        cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+          #include <machine/joystick.h>
+
+int
+main ()
+{
+
+          struct joystick t;
+
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+	 { ac_try='test -s conftest.$ac_objext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+
+        have_machine_joystick=yes
+
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+fi
+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+        echo "$as_me:$LINENO: result: $have_machine_joystick" >&5
+echo "${ECHO_T}$have_machine_joystick" >&6
+        if test x$have_machine_joystick = xyes; then
+            CFLAGS="$CFLAGS -DHAVE_MACHINE_JOYSTICK"
+        fi
+    fi
+}
+
 CheckAltivec()
 {
     echo "$as_me:$LINENO: checking for GCC Altivec instruction support" >&5
@@ -29948,7 +30032,7 @@ __EOF__
 
         fi
         ;;
-    *-*-freebsd*)
+    *-*-freebsd* | *-*-dragonfly*)
         ARCH=freebsd
         CheckDummyVideo
         CheckDiskAudio
@@ -30014,17 +30098,19 @@ __EOF__
         CheckESD
         CheckNAS
         CheckX11
+	CheckDGA
         CheckAAlib
         CheckOpenGL
         CheckPTHREAD
         CheckSIGACTION
         CheckUSBHID
         CheckRPATH
+	CheckMachineJoystick
         # Set up files for the audio library
         if test x$enable_audio = xyes; then
-            CFLAGS="$CFLAGS -DSUNAUDIO_SUPPORT"
-            AUDIO_SUBDIRS="$AUDIO_SUBDIRS sun"
-            AUDIO_DRIVERS="$AUDIO_DRIVERS sun/libaudio_sun.la"
+            CFLAGS="$CFLAGS -DOPENBSD_AUDIO_SUPPORT"
+            AUDIO_SUBDIRS="$AUDIO_SUBDIRS openbsd"
+            AUDIO_DRIVERS="$AUDIO_DRIVERS openbsd/libaudio_openbsd.la"
         fi
         # Set up files for the cdrom library
         if test x$enable_cdrom = xyes; then
@@ -30033,9 +30119,6 @@ __EOF__
         fi
         # Set up files for the thread library
         if test x$enable_threads = xyes; then
-            if test x$use_pthreads = xyes; then
-                CFLAGS="$CFLAGS -D_POSIX_THREAD_SYSCALL_SOFT=1"
-            fi
             CopyUnixThreadSource
         fi
         # Set up files for the timer library
@@ -31670,7 +31753,7 @@ fi
 # Set runtime shared library paths as needed
 
 if test "x$enable_rpath" = "xyes"; then
-  if test $ARCH = linux -o $ARCH = freebsd -o $ARCH = bsdi; then
+  if test $ARCH = linux -o $ARCH = freebsd -o $ARCH = bsdi -o $ARCH = netbsd; then
     SDL_RLD_FLAGS="-Wl,-rpath,\${exec_prefix}/lib"
   fi
   if test $ARCH = solaris; then
@@ -32817,8 +32900,9 @@ s,@X_EXTRA_LIBS@,$X_EXTRA_LIBS,;t t
 s,@PKG_CONFIG@,$PKG_CONFIG,;t t
 s,@DIRECTFB_CFLAGS@,$DIRECTFB_CFLAGS,;t t
 s,@DIRECTFB_LIBS@,$DIRECTFB_LIBS,;t t
+s,@AALIB_CONFIG@,$AALIB_CONFIG,;t t
 s,@OSMESA_CONFIG@,$OSMESA_CONFIG,;t t
-s,@PTH_CONFIG@,$PTH_CONFIG,;t t
+s,@PTHREAD_CONFIG@,$PTHREAD_CONFIG,;t t
 s,@ARCH@,$ARCH,;t t
 s,@TARGET_LINUX_TRUE@,$TARGET_LINUX_TRUE,;t t
 s,@TARGET_LINUX_FALSE@,$TARGET_LINUX_FALSE,;t t
